/*! \file escpcmd.h

  \brief ESC/P command output functions.

  \author
    Copyright (C) SEIKO EPSON CORPORATION 2010.

    Driver for Epson SIDM Printers

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License or
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */
#ifndef   escpcmd_h
#define   escpcmd_h

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "common.h"

/*! \brief ESC/P page size information */
typedef struct escp_page_info_s {
  float page_length;    /*!< page   length (in design base unit) */
  float margin_top;     /*!< top    margin (in design base unit) */
  float margin_bottom;  /*!< bottom margin (in design base unit) */
  float margin_left;    /*!< left   margin (in design base unit) */
  float margin_right;   /*!< right  margin (in design base unit) */
} escp_page_info_t;

#define SET_UNIT_VALUE_M 10
/*!< ESC ( U value m */

FUNCTION int escp_start_job(escp_page_info_t *escp_page_info, unsigned short design_base_reso, unsigned short vreso_base, int high_speed, unsigned char support_pse_fsx);
FUNCTION int escp_end_job( void );
FUNCTION int escp_start_page( void );
FUNCTION int escp_end_page( void );

#endif /* escpcmd_h */
/* end of file */
