/*! \file rastertoepsidm.h

  \brief ESC/P, ESC/P2 filter for CUPS raster data.

  \author
    Copyright (C) SEIKO EPSON CORPORATION 2010.

    Driver for Epson SIDM Printers

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License or
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */
#ifndef    rastertoepsidm_h
#define    rastertoepsidm_h

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

/*! \brief raster data convert to Epson FX/LQ command

  CUPS raster data convert to ESC/P or ESC/P2 command (bitmap)

  \param  fd          input file descpritor
  \param  arg5        command-line argument No.5 (for CUPS option)
  \return             error status
  \retval 0           completed
  \retval other       error status

 */
int rastertoepsidm( int fd, const char *arg5 );

#endif  /* rastertoepsidm_h */
/* end of file */
